<!--
    Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)
    
    SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { computed } from 'vue';
import { useRoute } from 'vue-router'; import AdminLayout from '@/components/general/AdminLayout.vue';
import OverviewAccountDummy from '@/components/account/OverviewAccountDummy.vue';
import OverviewChatDummy from '@/components/account/OverviewChatDummy.vue';

const route = useRoute();
const isAccount = computed(() => {
    if (route && route.redirectedFrom)
        if (route.redirectedFrom.name === 'overview-account') return true;
    return false;
});


</script>
<template>
    <div class="h-screen w-screen">
        <AdminLayout>
            <div class="h-[calc(100dvh-80px)]">
                <OverviewAccountDummy v-if="isAccount" />
                <OverviewChatDummy v-else />
                <div class="absolute inset-0 backdrop-blur z-0"></div>
                <div class="absolute inset-0 opacity-70 bg-gray-500"></div>
                <slot></slot>
            </div>
        </AdminLayout>
    </div>
</template>
